import { Assessment } from './assessmentsTypes';
export declare type Library = {
    name: string;
    id: string;
    createdBy: string;
};
declare function listLibraries(): Promise<Library[]>;
export declare function publishAssessment(libraryId: string, assessment: Assessment, isNew: boolean, base: string): Promise<void>;
export declare function updateOrAdd(libraryId: string, assessment: Assessment, base: string): Promise<void>;
declare function fromCodioProject(libraryId: string, path: string): Promise<void>;
declare function find(libraryId: string, tags?: Map<any, any>): Promise<Assessment[]>;
declare const assessment: {
    listLibraries: typeof listLibraries;
    find: typeof find;
    updateOrAdd: typeof updateOrAdd;
    fromCodioProject: typeof fromCodioProject;
    publishAssessment: typeof publishAssessment;
};
export default assessment;
