import { PathMap } from './assignment';
export declare function fixGuidesVersion(projectPath: string): Promise<void>;
export declare function reduce(srcDir: string, dstDir: string, yaml_sections: string[][], paths: (string | PathMap)[]): Promise<void>;
export declare function getGuidesStructure(metadata: any, srcDir: any, currentPath: any): any[];
export declare function readMetadataFile(path: any): any;
export declare function mapToObject(map: Map<string, any>): any;
export declare function createTar(basePath: string, paths: string[], excludePaths?: string[]): Promise<string>;
export declare function secondsToDate(seconds: number): Date;
export declare function convertToGuidesV3(cwd: string): Promise<void>;
export declare function getApiV1Url(): string;
export declare function getBearer(): {
    Authorization: string;
};
declare const tools: {
    reduce: typeof reduce;
    mapToObject: typeof mapToObject;
    createTar: typeof createTar;
    secondsToDate: typeof secondsToDate;
    readMetadataFile: typeof readMetadataFile;
    getGuidesStructure: typeof getGuidesStructure;
};
export default tools;
