export declare type Event = {
    id: string;
    event: any;
    completed: boolean;
    error?: string;
    issuedAt: Date;
};
export declare type LoadEventResponse = {
    events: Event[];
    nextToken: string;
};
export declare function loadEvents(nextToken: string, limit?: number): Promise<LoadEventResponse>;
export declare function loadAllEvents(): Promise<Event[]>;
declare const events: {
    loadAllEvents: typeof loadAllEvents;
    loadEvents: typeof loadEvents;
};
export default events;
